/* PROJECTS SECTION  */
.projects {
    width: 100%;
    max-width: 700px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 24px 0px;
    gap: 50px;
}

.project-content{
    width: 230px;
    height: 300px;
    border-radius: 12px;
    position: relative;
    z-index: 1;
    /* background-color: rgb(214, 184, 241); */
    background: linear-gradient(135deg, rgb(214, 184, 241) 0%, rgb(238, 198, 234) 50%, rgb(255, 226, 240) 100%);
/* dark: */
    /* background: linear-gradient(180deg, rgb(214, 184, 241) 0%, rgb(186, 161, 230) 50%, rgb(157, 128, 222) 100%); */

    cursor: pointer;
  }
.project-content:hover{
  background: linear-gradient(180deg, rgb(214, 184, 241) 0%, rgb(186, 161, 230) 50%, rgb(157, 128, 222) 100%);
  transform: scale(1.005); /* slightly larger */
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2); /* optional depth */
}

.architecture{
    background: linear-gradient(135deg, rgb(169, 192, 228) 0%, rgb(191, 209, 240)  50%, rgb(164, 193, 239)  100%);
/* dark: */
    /* background: linear-gradient(180deg, rgb(214, 184, 241) 0%, rgb(186, 161, 230) 50%, rgb(157, 128, 222) 100%); */

    cursor: pointer;
  }
.architecture:hover{
  background: linear-gradient(135deg, rgb(125, 168, 238) 0%, rgb(40, 85, 158)  50%, rgb(17, 65, 143)  100%);
}


.project-title {
    font-size: 3em;
    font-weight: bold;
    font-family: 'Amatic SC', cursive;
    color: rgb(237, 238, 252);
    display: flex;
    justify-content: center;
    place-items: center;
    width: 80%;
    margin-left: 10%;
    height: 200px;
    text-align: center;
    padding: 0%;
}

.project-descr {
    width: 60%;
    position: relative;
    bottom: 40%;
    padding: 5%;
    left: 15%;
    font-size: 1em;
    text-align: center;
    background-color:rgba(229, 211, 237, 0.9);
    border-radius: 3%;
    opacity: 0;
    color: #7e0cc3;
    z-index: 3;
}

.project-content:hover .project-descr {
  opacity: 1;
}

.project-content:hover .project-title {
  opacity: 0;
}

.project-emoji {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 25%;
    font-size: 2rem; /* bigger emoji */
    line-height: 1;  /* remove extra spacing */
    display: inline-block; /* needed for transforms */
}

.soft-bounce {
    animation: smooth-bounce 3s infinite ease-in-out;
}
@keyframes smooth-bounce {
  0%   { transform: rotate(0deg); }
  25%  { transform: rotate(7deg); }
  50%  { transform: rotate(0deg); }
  75%  { transform: rotate(-7deg); }
  100% { transform: rotate(0deg); }
}


.flash {
    animation: flash 5s infinite;
}
@keyframes flash {
  0%, 90%, 100% { filter: brightness(1); }
  92%, 95% { filter: brightness(2.5); } /* quick flash */
}

.duck {
  display: inline-block;
  animation: somersault 5s ease-in-out infinite;
}
@keyframes somersault {
  0%, 85%, 100% { transform: translateX(0) rotate(0deg); }
  88% { transform: translateX(0rem) rotate(180deg); }
  92% { transform: translateX(0rem) rotate(360deg); }
  95% { transform: translateX(0) rotate(0deg); }
}

.project-stack {
    width: 100%;
    position: absolute;
    bottom: 5%;
    margin: 0%;
    padding: 0%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 5px;
}

.project-stack .icon{
    width: 30px;
    height: 30px;
    filter: invert(86%) sepia(3%) saturate(1087%) hue-rotate(314deg) brightness(112%) contrast(98%);
}




/* RIBBON  */
.ribbons {
  width: 90px;
  /* background-color: rebeccapurple; */
  position: absolute;
  left: 80%;
  top: 5%;
  /* overflow: wrap; */
  display: flex;
  flex-direction: column;
  gap: 5px;
  font-size: 0.9rem;
  font-weight: bold;
  /* min-height: 200px; */
  /* background-color: #7e0cc3; */
  /* border-radius: 20%; */
  /* box-shadow: 0 0px 6px rgba(97, 96, 96, 0.2); */
  text-align: center;
  z-index: 6;
}

.ribbon-ai {
  /* background-color: #b2ea23;  */
   /* background: linear-gradient(90deg, #c2f542 0%, #b2ea23 40%, #d3ff6b 100%); */
   /* background: linear-gradient(135deg, #b2ea23 0%, #9cd91f 50%, #7bc800 100%); */
   /* background: linear-gradient(135deg, #b2ea23 0%, #94d82d 50%, #6fbf1a 100%); */
   background: linear-gradient(180deg, #d8ff6f 0%, #b2ea23 60%, #8ccc10 100%);
  /* color: #0b5500; */
  color: green;
  border-radius: 3px;
  padding: 10px 2px;

  box-shadow: 0 2px 5px rgba(0,0,0,0.15);
  letter-spacing: 0.5px;
}
/*
.ribbon-ai:hover {
  background: linear-gradient(180deg, #6a8818 0%, #5c7e06 60%, #223302 100%);
  color: #a1a88c;
} */

.ribbon-try-it {
  /* background-color: #e91e63; */
  /* background: radial-gradient(circle at center, #f8bbd0 0%, #e91e63 100%); */
  background: linear-gradient(to bottom right, #de1882 0%, #e91e63 50%, #de1882 100%);
  /* background: radial-gradient(circle at center, #ffc1e3 0%, #e91e63 70%); */
  /* background: radial-gradient(circle at center, #ffc1e3 0%, #e91e63 80%); */
;
  /* background-color: #bf0e7d; */
  color: #fff8e7;
  border-radius: 5px;
  padding: 10px 0;
}

/* @media screen and (min-width: 576px){
  .ribbons {
    font-size: 0.7rem;
  }
} */

.project-cover-title{
  display: flex;
  flex-direction: column;
}
.project-cover-title-descr{
  font-size: 1.8rem;;
}
